Bug 30891 - SMS provider shows on staff side even if SMS::Send driver is not set to "Email"
Summary: SMS provider shows on staff side even if SMS::Send driver is not set to "Email"
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 21.05
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 9021
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-02 14:22 UTC by Kyle M Hall
Modified: 2022-07-12 16:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30891: SMS provider shows on staff side even if SMS::Send driver is not set to "Email" (2.00 KB, patch)
2022-06-02 14:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 30891: SMS provider shows on staff side even if SMS::Send driver is not set to "Email" (2.03 KB, patch)
2022-06-02 17:35 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30891: SMS provider shows on staff side even if SMS::Send driver is not set to "Email" (2.09 KB, patch)
2022-06-06 11:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30891: (QA follow-up) Add check to patron details page (1.72 KB, patch)
2022-06-06 11:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2022-06-02 14:22:50 UTC
It appears that in my original submission ( Bug 9021 ), I hid the SMS provider selector unless the SMS::Send driver was set to "Email", but only on the OPAC, not on the staff interface!
Comment 1 Kyle M Hall 2022-06-02 14:28:02 UTC
Created attachment 135589 [details] [review]
Bug 30891: SMS provider shows on staff side even if SMS::Send driver is not set to "Email"

It appears that in my original submission ( Bug 9021 ),
I hid the SMS provider selector unless the SMS::Send
driver was set to "Email", but only on the OPAC,
not on the staff interface!

Test Plan:
1) Set SMSSendDriver to anything except "Email"
2) Note the SMS Provider pulldown shows in the patron editor
3) Apply this patch
4) Reload the page, SMS Provider id should now be gone
5) Set SMSSendDriver to "Email"
6) Reload the page, SMS Provider should now be shown
Comment 2 Lucas Gass 2022-06-02 17:35:25 UTC
Created attachment 135612 [details] [review]
Bug 30891: SMS provider shows on staff side even if SMS::Send driver is not set to "Email"

It appears that in my original submission ( Bug 9021 ),
I hid the SMS provider selector unless the SMS::Send
driver was set to "Email", but only on the OPAC,
not on the staff interface!

Test Plan:
1) Set SMSSendDriver to anything except "Email"
2) Note the SMS Provider pulldown shows in the patron editor
3) Apply this patch
4) Reload the page, SMS Provider id should now be gone
5) Set SMSSendDriver to "Email"
6) Reload the page, SMS Provider should now be shown

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2022-06-06 11:18:55 UTC
Created attachment 135721 [details] [review]
Bug 30891: SMS provider shows on staff side even if SMS::Send driver is not set to "Email"

It appears that in my original submission ( Bug 9021 ),
I hid the SMS provider selector unless the SMS::Send
driver was set to "Email", but only on the OPAC,
not on the staff interface!

Test Plan:
1) Set SMSSendDriver to anything except "Email"
2) Note the SMS Provider pulldown shows in the patron editor
3) Apply this patch
4) Reload the page, SMS Provider id should now be gone
5) Set SMSSendDriver to "Email"
6) Reload the page, SMS Provider should now be shown

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2022-06-06 11:18:59 UTC
Created attachment 135722 [details] [review]
Bug 30891: (QA follow-up) Add check to patron details page

Adds a similar check to the patron details shown when selecting
the details tab in the patron account in the staff interface.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2022-06-06 17:33:20 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-07-12 16:11:00 UTC
Backported to 22.05.x for 22.05.03